StatisticImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.StatisticImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class StatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl

All Implemented Interfaces:
  Resettable, Statistic

Direct Known Subclasses:
  BoundaryStatisticImpl, CountStatisticImpl, RangeStatisticImpl, TimeStatisticImpl

public class StatisticImpl
extends Object
implements Statistic, Resettable

Base class for a Statistic implementation

Version:
  $Revision: 1.2 $

Constructor Summary
`StatisticImpl(String name, String unit, String description)`

Method Summary
`protected void` | `appendFieldDescription(StringBuffer buffer)`
`String` | `getDescription()`
`long` | `getLastSampleTime()`
`String` | `getName()`
`long` | `getStartTime()`
`String` | `getUnit()`
`void` | `reset()` Reset the statistic
`String` | `toString()`
`protected void` | `updateSampleTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatisticImpl

    public StatisticImpl(String name,
                         String unit,
                         String description)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Resettable`
  Reset the statistic

  Specified by:
    `reset` in interface `Resettable`

### updateSampleTime

    protected void updateSampleTime()

### toString

    public String toString()

### getName

    public String getName()

  Specified by:
    `getName` in interface `Statistic`

### getUnit

    public String getUnit()

  Specified by:
    `getUnit` in interface `Statistic`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Statistic`

### getStartTime

    public long getStartTime()

  Specified by:
    `getStartTime` in interface `Statistic`

### getLastSampleTime

    public long getLastSampleTime()

  Specified by:
    `getLastSampleTime` in interface `Statistic`

### appendFieldDescription

    protected void appendFieldDescription(StringBuffer buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.